//
//	test PsfDataServer
//
#include "CalServer.h"
#include "Celestial.h"
#include "common.h"

using namespace std;

int main()
{
	calServer.ccf()->registerNewCifEntry("./XRT1_XPSF_0003.CCF");
	PsfDataServer *pds = 0; pds = calServer.getAtom(pds);

	const double NBETA = 100000.,
                 DELTA_BETA = .5,   //  beta span
                 binWidth = DELTA_BETA/NBETA;

	Spectrum spec(pds->dispersionFigureDistribution(20.,
                                                    binWidth*DEG_TO_RAD,
                                                    1.,
                                                    .65));
	unsigned N = spec.size();
	double fm = 0.;
	for (unsigned n=0; n<N; ++n) {
		fm += DBL(n)*spec[n];
		cout<<n<<' '<<spec[n]<<endl;
	}
	cerr<<"first moment: "<<setprecision(16)<<fm<<endl;
	cerr<<"first moment: "<<setprecision(16)<<spec.firstMoment()<<endl;

	return 0;
}
